function X = inverse(A)
%INVERSE Symbolic matrix inverse.
%	INVERSE(A) computes the symbolic inverse of A, where A is a 
%	symbolic or numeric matrix.
%	INVERSE(VPA(A)) uses variable precision arithmetic.  See VPA.
%
%	Example:  inverse(sym(5,5,'1/(i+j-t)'))
%
%	See also SYMDIV.

%	Copyright (c) 1993-95 by The MathWorks, Inc.
%	$Revision: 1.9 $  $Date: 1995/03/01 21:38:50 $

if ~isstr(A)
   A = sym(A);
end
if prod(symsize(A)) == 1
   X = symdiv(1,A);
else
   X = maple('inverse',A);
end
